%bcond_with check
%global barename flot

Name:		nodejs-flot
Version:	0.8.3
Release:	8%{?dist}
Summary:	Javascript plotting library for jQuery

License:	MIT
URL:		http://www.flotcharts.org/
Source0:	https://github.com/flot/flot/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	closure-compiler
BuildRequires:	jarjar

%if %{with check}
BuildRequires:	npm(jshint)
%endif

Requires:	js-jquery
Requires:	js-excanvas

%description
Flot is a Javascript plotting library for jQuery.  
Read more at the website: <http://www.flotcharts.org/>

%prep
%setup -qn %{barename}-%{version}
# Removing bundled libraries
rm jquery.js excanvas.js excanvas.min.js

# Use closure-compiler instead of yui-compressor
sed -i  's|yui-compressor $< -o $@|closure-compiler $(CLOSURE_FLAGS) --js=$< >$@|' \
    Makefile

%build
CLOSURE_FLAGS="--language_in=ECMASCRIPT5" make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/flot
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/flot

# Use system excanvas
ln -sf %{_datadir}/javascript/excanvas/0/excanvas.js \
    %{buildroot}%{nodejs_sitelib}/flot/excanvas.js

ln -sf %{_datadir}/javascript/excanvas/0/excanvas.min.js \
    %{buildroot}%{nodejs_sitelib}/flot/excanvas.min.js

# Use system jquery
ln -sf %{_datadir}/javascript/jquery/3/jquery.js \
    %{buildroot}%{nodejs_sitelib}/flot/jquery.js

%nodejs_symlink_deps


%if %{with check}
%check
%nodejs_symlink_deps --check
make test
%endif


%files
%license LICENSE.txt
%doc NEWS.md README.md
%{nodejs_sitelib}/flot

%changelog
* Tue Aug 28 2018 Christopher Tubbs <ctubbsii@fedoraproject.org> - 0.8.3-8
- Use jQuery 3 (js-jquery)
- use standard conditional for check (rathann)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jul 26 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.8.3-2
- Setting CLOSURE_FLAGS="--language_in=ECMASCRIPT5" before executing make

* Sat Jul 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.8.3-1
- Update to 0.8.3
- Unbundling excanvas and jquery
- Minify with closure-compiler instead of yui-compressor

* Fri Jul 24 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.8.0-0.1.alpha
- Initial packaging
